import * as React from 'react';

type MenuSelectDerivedElement = HTMLSelectElement;

export interface MenuSelectProps extends React.HTMLProps<MenuSelectDerivedElement> {

}

export const MenuSelect = React.forwardRef<MenuSelectDerivedElement, MenuSelectProps>(({
  children,
  ...etcProps
}, forwardedRef) => {
  return (
    <div>
      <select
        {...etcProps}
        ref={forwardedRef}
      />
    </div>
  )
});

MenuSelect.displayName = 'MenuSelect';
